GameModel = Core.class(EventDispatcher);

function GameModel:init()
	print("GameModel:init()");
    EventStream:addEventListener("GAME_WON", self.onGameWon, self);
	EventStream:addEventListener("MAIN_CLICK", self.onMouseDown, self);
end

function GameModel:onMouseDown(self, event)
	EventStream:dispatchEvent(Event.new("GAME_WON"));
	
	print("After dispatch");
end

function GameModel.onGameWon(self, event)
	print("GameModel.onGameWon");
end